classification
Title: Add speed improvement note to the decimal docs.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, orsenthil, python-dev, rhettinger, skrah, tshepang
Priority: low Keywords:

Created on 2012-03-23 09:51 by tshepang, last changed 2012-10-21 21:36 by skrah. This issue is now closed.

Messages (9)
msg156640 - (view) Author: Tshepang Lekhonkhobe (tshepang) * Date: 2012-03-23 09:51
Looking at "What's New" section for cdecimal [1], I see this claim:

"Performance gains range from 12x for database applications to 80x for numerically intensive applications..."

But there's no link on the benchmark code.

[1] http://hg.python.org/cpython/file/9ceac471bd8c/Doc/whatsnew/3.3.rst#l599
msg156641 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-03-23 09:54
It would be nice to have access to the benchmarks, yes, but I hope our users have enough trust in Python to believe this "claim" as it is.
msg156642 - (view) Author: Tshepang Lekhonkhobe (tshepang) * Date: 2012-03-23 09:59
> Georg Brandl <georg@python.org> added the comment:
>
> It would be nice to have access to the benchmarks, yes, but I hope our users have enough trust in Python to believe this "claim" as it is.

Well, there's also curiosity. For example to find out what is "pi" and
"telco", and having to go through that massive issue 7652 to find out
is a bit much.
msg156675 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-03-23 19:48
> But there's no link on the benchmark code.

I don't know if external links are appropriate in whatsnew, but this
is it:


http://www.bytereef.org/mpdecimal/quickstart.html
msg156681 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-03-23 23:55
Instead of what's new, I think, linking the benchmarks in the docs could be helpful so that library users can find it they want to. I think, we have similar performance benchmark links at other places too.
msg157273 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-01 11:08
New changeset 6ba569924986 by Stefan Krah in branch 'default':
Issue #14394: Use elaborate phrases that boil down to "one to two orders
http://hg.python.org/cpython/rev/6ba569924986
msg157275 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-04-01 11:17
Leaving this open since a "New in version 3.3" speed improvement note
in the docs would be useful.
msg157331 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2012-04-01 21:00
The correct place for the note is in the "optimizations" section of whatsnew.
msg173487 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-10-21 21:36
Closing as out-of-date.
History
Date User Action Args
2012-10-21 21:36:22skrahsetstatus: open -> closed
resolution: out of date
messages: + msg173487

stage: resolved
2012-04-01 21:00:48rhettingersetnosy: + rhettinger
messages: + msg157331
2012-04-01 11:17:46skrahsetmessages: + msg157275
title: missing links on performance claims of cdecimal -> Add speed improvement note to the decimal docs.
2012-04-01 11:08:48python-devsetnosy: + python-dev
messages: + msg157273
2012-03-23 23:55:05orsenthilsetnosy: + orsenthil
messages: + msg156681
2012-03-23 19:48:16skrahsetnosy: + skrah
messages: + msg156675
2012-03-23 09:59:21tshepangsetmessages: + msg156642
2012-03-23 09:54:32georg.brandlsetpriority: normal -> low

nosy: + georg.brandl
messages: + msg156641

type: enhancement
2012-03-23 09:51:11tshepangcreate